// Copyright (c) 2006-2008,2013 Simon Fell
//
// Permission is hereby granted, free of charge, to any person obtaining a 
// copy of this software and associated documentation files (the "Software"), 
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included 
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
// THE SOFTWARE.
//

#import "ZKPartnerEnvelope.h"

@implementation ZKPartnerEnvelope

- (id)initWithSessionHeader:(NSString *)sessionId clientId:(NSString *)clientId {
	return [self initWithSessionAndMruHeaders:sessionId mru:NO clientId:clientId];
}

- (id)initWithSessionAndMruHeaders:(NSString *)sessionId mru:(BOOL)mru clientId:(NSString *)clientId {
    return [self initWithSessionAndMruHeaders:sessionId mru:mru clientId:clientId additionalHeaders:nil];
}

- (id)initWithSessionAndMruHeaders:(NSString *)sessionId mru:(BOOL)mru clientId:(NSString *)clientId additionalHeaders:(ZKEnvelopeHeaderWriter)headerBlock {
	self = [super init];
	[self start:@"urn:partner.soap.sforce.com"];
	[self writeSessionHeader:sessionId];
	[self writeCallOptionsHeader:clientId];
	[self writeMruHeader:mru];
    if (headerBlock) {
        [self moveToHeaders];
        headerBlock(self);
    }
    
	[self moveToBody];
	return self;
}

@end
